package com.brilliance.isc.swift.objmtconvert.model.mt4xx.tag.tag416;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt4xx.MT416Creator;

public class Tag77AACreator extends AbsTagCreate {

    private MT416Creator mt416Creator;

    public Tag77AACreator(AbsMTCreator absMTCreator) {
        super(absMTCreator);
        this.mt416Creator= (MT416Creator) absMTCreator;
    }

    public void creator() {
        String tag77Value = mt416Creator.getReason();
        mt416Creator.set("77A", tag77Value);
    }
}
